
QGIS Application - Bug report #8107

Ftools-Mean coordinates error

2013-06-18 10:09 AM - vinayan Parameswaran

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16942

Description

I do not know much about this tool..but pressing ok produces the below message..

An error has occured while executing Python code:

Traceback (most recent call last):

  File "/home/vinayan/gitQgisBuild/output/python/plugins/fTools/tools/doMeanCoords.py", line 90, in accept

    self.compute(inName, outPath, self.weightField.currentText(), self.sizeValue.value(), self.uniqueField.currentText())

  File "/home/vinayan/gitQgisBuild/output/python/plugins/fTools/tools/doMeanCoords.py", line 153, in compute

    check = j.strip()

AttributeError: 'int' object has no attribute 'strip'

Python version:

2.7.3 (default, Aug  1 2012, 05:25:23) 

[GCC 4.6.3]

QGIS version:

1.9.0-Master Master, da0e4f3

Associated revisions

Revision 5e4a9dff - 2013-06-19 01:11 AM - Matthias Kuhn

[ftools] Several fixes

Fix #8107 Mean coordinates

Fix #8105 Basic statistics

Fix #8104 Unique values

History

#1 - 2013-06-18 04:11 PM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"5e4a9dff6b4374e448307482baecab4688868fb8".

#2 - 2017-05-01 01:21 AM - Giovanni Manghi
The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
